> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pegar QrCode

> Pega qr-code para conexão.



## OpenAPI

````yaml GET /v2/channel/{channelId}/qr-code
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/channel/{channelId}/qr-code:
    get:
      description: Pega qr-code para conexão.
      parameters:
        - name: channelId
          in: path
          description: ID do canal
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Configurações do canal retornadas com sucesso (os campos variam
            conforme o tipo do canal)
          content:
            application/json:
              schema:
                oneOf:
                  - title: Quando não está conectado
                    type: object
                    properties:
                      value:
                        type: string
                        description: Código QrCode para leitura.
                    additionalProperties: false
                  - title: Quando está conectado
                    type: object
                    properties:
                      connected:
                        type: boolean
                        description: Indica que está conectado.
                    additionalProperties: false
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '500':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````